Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mx4j.server
Class MX4JMBeanServerDelegate

    java.lang.Object
      javax.management.MBeanServerDelegate
          mx4j.server.MX4JMBeanServerDelegate

All Implemented Interfaces:
  javax.management.MBeanServerDelegateMBean, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter

public class MX4JMBeanServerDelegate
extends javax.management.MBeanServerDelegate

The MBeanServerDelegate subclass typical of the MX4J implementation.

Version:
  $Revision: 1.12 $
See Also:
  `MBeanServerBuilder`

Constructor Summary
`MX4JMBeanServerDelegate()`

Method Summary
`java.lang.String` | `getImplementationName()`
`java.lang.String` | `getImplementationVendor()`
`java.lang.String` | `getImplementationVersion()`

Methods inherited from class javax.management.MBeanServerDelegate
`addNotificationListener, getMBeanServerId, getNotificationInfo, getSpecificationName, getSpecificationVendor, getSpecificationVersion, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MX4JMBeanServerDelegate

    public MX4JMBeanServerDelegate()

Method Detail

### getImplementationName

    public java.lang.String getImplementationName()

### getImplementationVendor

    public java.lang.String getImplementationVendor()

### getImplementationVersion

    public java.lang.String getImplementationVersion()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.